<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class IsWalletBlocked
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param Closure(Request): (Response)  $next
     * @return Response
     */
    public function handle(Request $request, Closure $next): Response
    {
        $user = $request->user();
        $wallet = $user->{"wallet"};

        if ($wallet->{'blocked_at'} !== null) {
            return api_response(120, __('errors.wallet_blocked'));
        }

        return $next($request);
    }
}
