<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Attachment;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class TwoFactorAuthCode extends Mailable
{
   use Queueable, SerializesModels;

   /**
    * Create a new message instance.
    */
   public function __construct(public string $email, public string $otp)
   {
      //
   }

   /**
    * Get the message envelope.
    *
    * @return Envelope
    */
   public function envelope(): Envelope
   {
      return new Envelope(
         to: $this->email,
         subject: __('messages.2_factor_auth'),
      );
   }

   /**
    * Get the message content definition.
    *
    * @return Content
    */
   public function content(): Content
   {
      return new Content(
         view: 'mails.2-factor-auth',
      );
   }

   /**
    * Get the attachments for the message.
    *
    * @return array<int, Attachment>
    */
   public function attachments(): array
   {
      return [];
   }
}
