<?php

namespace App\Models;

use App\Services\CommunitySubscriberService;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CommunitySubscriber extends Model
{
    use HasFactory;
   use SoftDeletes;
   use CommunitySubscriberService;

   /**
    * The database table used by the model.
    *
    * @var string
    */
   protected $table = 'community_subscribers';

   /**
    * Attributes that should be mass-assignable.
    *
    * @var array
    */
   protected $fillable = [
      'is_admin',

      'community_id',
      'user_id',
   ];

   /**
    * The attributes excluded from the model's JSON form.
    *
    * @var array
    */
   protected $hidden = [
      'community_id',
      'user_id',
   ];

   /**
    * The attributes that should be casted to native types.
    *
    * @var array
    */
   protected $casts = [];

   /**
    * The attributes that should be mutated to dates.
    *
    * @var array
    */
   protected $dates = ['created_at', 'updated_at', 'deleted_at'];

   /**
    * The "booting" method of the model.
    *
    * @return void
    */
   public static function boot()
   {
      parent::boot();
   }

   /** Attributes used outside the class to create modify the resource */

   /** Relations */

   public function community(): \Illuminate\Database\Eloquent\Relations\BelongsTo
   {
      return $this->belongsTo(Community::class);
   }

   public function user(): \Illuminate\Database\Eloquent\Relations\BelongsTo
   {
      return $this->belongsTo(User::class);
   }
}
