<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('realtime_participants', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table
                ->foreignId('chat_id')
                ->constrained('chats')
                ->onUpdate('cascade')
                ->onDelete('cascade');
            $table
                ->foreignId('participant_id')
                ->constrained('users')
                ->onUpdate('cascade')
                ->onDelete('cascade');

            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('realtime_participants');
    }
};
