<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('community_membership_requests', function (Blueprint $table) {
           $table->bigIncrements('id');

           $table->string('status'); // use CommunityMembershipRequestStatusEnum

           $table
              ->foreignId('user_id')
              ->constrained('users')
              ->onUpdate('cascade')
              ->onDelete('cascade');
           $table
              ->foreignId('community_id')
              ->constrained('communities')
              ->onUpdate('cascade')
              ->onDelete('cascade');

           $table->timestamp('created_at')->useCurrent();
           $table->timestamp('updated_at')->useCurrent();
           $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('community_membership_requests');
    }
};
