<?php

return [

    /*
    |--------------------------------------------------------------------------
    | All basic messages
    |--------------------------------------------------------------------------
    |
    */

    'hello' => 'Hello',
    'by_default' => 'By default',
    'email_verification' => "Verifying your email address",
    'reset_password_code' => "Password Reset Code",
    'reset_otp_sms_content' => "Your reset code: :code. Keep it a secret!!.",
    'otp_sms_content' => ":code is your :appName verification code",
    'completed' => 'Completed',
    'pending_verification' => 'Pending verification',
    'no_verification_request_submitted' => 'No verification request submitted',
   '2_factor_auth' => "Two steps authentication",

    'transaction_types' => [
        'deposit' => 'DEPOSIT',
        'withdrawal' => 'WITHDRAWAL',
        'sent_to' => 'SENT TO',
        'received' => 'RECEIVED',
        'purchase' => 'PURCHASE',
    ],

    'transaction_actions' => [
        'deposit_through' => 'Deposit through',
        'withdrawal_through' => 'Withdrawal through',
        'transferred_to' => 'Transferred to',
        'received_from' => 'Received from',
        'payment_to' => 'Payment to',
        'payment_from' => 'Payment from',
        'refund_to' => 'Refund to',
    ],

    'base_attributes' => [
        'color' => 'Color',
        'dimension' => 'Dimension',
        'size' => 'Size',
        'capacity' => 'Capacity',
        'mass_and_weight' => 'Mass and weight',
    ],

    'attribute_si_units' => [
        //Dimensions
        'dimension' => [
            'kilometre' => [
                'si_unit' => "km",
                'si_unit_designation' => "kilometre",
            ],
            'metre' => [
                'si_unit' => "m",
                'si_unit_designation' => "Metre",
            ],
            'centimetre' => [
                'si_unit' => "cm",
                'si_unit_designation' => "Centimetre",
            ],
            'millimetre' => [
                'si_unit' => "mm",
                'si_unit_designation' => "Millimetre",
            ],
            'micrometre' => [
                'si_unit' => "μm",
                'si_unit_designation' => "Micrometre",
            ],
            'nanometre' => [
                'si_unit' => "nm",
                'si_unit_designation' => "Nanometre",
            ],
        ],

        //Size
        'size' => [
            'square_kilometre' => [
                'si_unit' => "sq km",
                'si_unit_designation' => "Square kilometre",
            ],
            'hectare' => [
                'si_unit' => "ha",
                'si_unit_designation' => "Hectare",
            ],
            'square_centimetre' => [
                'si_unit' => "sq cm",
                'si_unit_designation' => "Square centimetre",
            ],
        ],

        //Capacity
        'capacity' => [
            'kilolitre' => [
                'si_unit' => "kl",
                'si_unit_designation' => "Kilolitre",
            ],
            'litre' => [
                'si_unit' => "sq km",
                'si_unit_designation' => "Litre",
            ],
            'centilitre' => [
                'si_unit' => "sq km",
                'si_unit_designation' => "Centilitre",
            ],
            'millilitre' => [
                'si_unit' => "sq km",
                'si_unit_designation' => "Millilitre",
            ],
            'microlitre' => [
                'si_unit' => "sq km",
                'si_unit_designation' => "Microlitre",
            ],
        ],

        //Mass and weight
        'mass_and_weight' => [
            'metric_ton' => [
                'si_unit' => "t",
                'si_unit_designation' => "Metric ton",
            ],
            'kilogram' => [
                'si_unit' => "kl",
                'si_unit_designation' => "kilogram",
            ],
            'gram' => [
                'si_unit' => "g",
                'si_unit_designation' => "Gram",
            ],
            'centigram' => [
                'si_unit' => "cg",
                'si_unit_designation' => "Centigram",
            ],
            'milligram' => [
                'si_unit' => "mg",
                'si_unit_designation' => "Milligram",
            ],
            'microgram' => [
                'si_unit' => "μg",
                'si_unit_designation' => "Microgram",
            ],
        ],
    ],

    'business_categories' => [
        'goods' => [
            'designation' => "Goods",
            'description' => "This category is for people with goods to sell",
        ],
        'service' => [
            'designation' => "Service",
            'description' => "This category is for people who offer intangible services",
        ],
        'cinema' => [
            'designation' => "Cinema",
            'description' => "This category is for people who offer entertainment contents like movies and series",
        ],
        'music' => [
            'designation' => "Music",
            'description' => "This category is for people who offer music",
        ],
        'library' => [
            'designation' => "Library",
            'description' => "This category is for people who offer library content",
        ],
        'affiliate' => [
            'designation' => "Affiliate",
            'description' => "This category is for people who are interested in becoming affiliate marketers",
        ],
        'games' => [
            'designation' => "Games",
            'description' => "This category is for people who sell video games",
        ],
    ],

    'business_sub_categories' => [
        //Goods
        'machineries' => [
            'designation' => "Machineries",
            'description' => "This category is for Machineries",
        ],
        'automobiles' => [
            'designation' => "Automobiles",
            'description' => "This category is for Automobiles",
        ],
        'electronics' => [
            'designation' => "Electronics",
            'description' => "This category is for Electronics",
        ],
        'home_appliances' => [
            'designation' => "Home Appliances",
            'description' => "This category is for Home appliances",
        ],
        'fashion' => [
            'designation' => "Fashion",
            'description' => "This category is for those interest in Fashion",
        ],
        'lights_and_lighting' => [
            'designation' => "Lights and lighting",
            'description' => "This category is for Lights and lighting",
        ],
        'construction/real_estate' => [
            'designation' => "Construction/Real-Estate",
            'description' => "This category is for Construction/Real-Estate",
        ],
        'home_and_garden' => [
            'designation' => "Home & Garden",
            'description' => "This category is for Home & Garden",
        ],
        'furniture' => [
            'designation' => "Furniture",
            'description' => "This category is for Furniture",
        ],
        'fabric_and_textile_raw_material' => [
            'designation' => "Fabric & Textile Raw Material",
            'description' => "This category is for Fabric & Textile Raw Material",
        ],
        'beauty_and_personal_care' => [
            'designation' => "Beauty & Personal care",
            'description' => "This category is for Beauty & Personal care",
        ],
        'health_and_medical' => [
            'designation' => "Health and Medical",
            'description' => "This category is for Health and Medical",
        ],
        'printing_packaging_and_office_supply' => [
            'designation' => "Printing, packaging and Office supply",
            'description' => "This category is for Printing, packaging and Office supply",
        ],
        'electrical_and_telecommunication_supplies' => [
            'designation' => "Electrical and Telecommunication Supplies",
            'description' => "This category is for Electrical and Telecommunication Supplies",
        ],
        'hardware_tools_security_safety_and_fabrication_services' => [
            'designation' => "Hardware, tools, Security, safety & fabrication services",
            'description' => "This category is for Hardware, tools, Security, safety & fabrication services",
        ],
        'sports_entertainment' => [
            'designation' => "Sports Entertainment",
            'description' => "This category is for Sports Entertainment",
        ],
        'mother_kids_and_toys' => [
            'designation' => "Mother, Kids & Toys",
            'description' => "This category is for Mother, Kids & Toys",
        ],
        'gift_and_craft' => [
            'designation' => "Gift and Craft",
            'description' => "This category is for Gift and Craft",
        ],
        'luggage_bags_and_cases' => [
            'designation' => "Luggage, Bags and Cases",
            'description' => "This category is for Luggage, Bags and Cases",
        ],
        'shoes_and_accessories' => [
            'designation' => "Shoes and Accessories",
            'description' => "This category is for those Shoes and Accessories",
        ],
        'metals_and_alloys' => [
            'designation' => "Metals and Alloys",
            'description' => "This category is for Metals and Alloys",
        ],
        'chemicals' => [
            'designation' => "Chemicals",
            'description' => "This category is for Chemicals",
        ],
        'rubber_and_plastic' => [
            'designation' => "Rubber & Plastic",
            'description' => "This category is for Rubber & Plastic",
        ],
        'agriculture_food_and_beverages' => [
            'designation' => "Agriculture, Food and Beverages",
            'description' => "This category is for Agriculture, Food and Beverages",
        ],
        'business_and_commercial_service_equipment' => [
            'designation' => "Business & Commercial service Equipment",
            'description' => "This category is for Business & Commercial service Equipment",
        ],
        'energy_and_environment' => [
            'designation' => "Energy & Environment",
            'description' => "This category is for Energy & Environment",
        ],
        'power_handling_and_material_handling' => [
            'designation' => "Power Handling & Material Handling",
            'description' => "This category is for Power Handling & Material Handling",
        ],
        'pets_and_animals' => [
            'designation' => "Pets & Animals",
            'description' => "This category is for Pets & Animals",
        ],


        //Services
        'graphics_and_design' => [
            'designation' => "Graphics & Design",
            'description' => "This category is for Graphics & Design",
        ],
        'digital_marketing' => [
            'designation' => "Digital Marketing",
            'description' => "This category is for Digital Marketing",
        ],
        'writing_and_translation' => [
            'designation' => "Writing & Translation",
            'description' => "This category is for Writing & Translation",
        ],
        'video_and_animation' => [
            'designation' => "Video & animation",
            'description' => "This category is for Video & Animation",
        ],
        'music_and_audio' => [
            'designation' => "Music & Audio",
            'description' => "This category is for Music & Audio",
        ],
        'programming_and_tech' => [
            'designation' => "Programming & Tech",
            'description' => "This category is for Programming & Tech",
        ],
        'photography' => [
            'designation' => "Photography",
            'description' => "This category is for Photography",
        ],
        'business' => [
            'designation' => "Business",
            'description' => "This category is for Business",
        ],
        'ai_services' => [
            'designation' => "AI Services",
            'description' => "This category is for AI Services",
        ],


        //Cinema
        'cinema' => [
            'designation' => "Cinema",
            'description' => "This category is for Cinema",
        ],


        //Music
        'music' => [
            'designation' => "Music",
            'description' => "This category is for Music",
        ],


        //Library
        'library' => [
            'designation' => "Library",
            'description' => "This category is for Library",
        ],


        //Games
        'pc' => [
            'designation' => "PC games",
            'description' => "This category is for PC",
        ],
        'ps4' => [
            'designation' => "PS4 games",
            'description' => "This category is for PS4",
        ],
        'ps5' => [
            'designation' => "PS5 games",
            'description' => "This category is for PS5",
        ],
        'xbox' => [
            'designation' => "Xbox games",
            'description' => "This category is for Xbox",
        ],

    ],

    'business_child_sub_categories' => [
        //Machineries
        'agricultural_machinery_and_equipment' => [
            'designation' => "Agricultural Machinery and Equipment",
        ],
        'metal_and_metallurgy_machinery' => [
            'designation' => "Metal & Metallurgy Machinery",
        ],
        'electronic_products_machinery' => [
            'designation' => "Electronic Products Machinery",
        ],
        'woodworking_machinery' => [
            'designation' => "Woodworking Machinery",
        ],
        'welding_equipment' => [
            'designation' => "Welding Equipment",
        ],
        'industrial_compressors_and_parts' => [
            'designation' => "Industrial Compressors & Parts",
        ],
        'home_product_manufacturing_machinery' => [
            'designation' => "Home Product Manufacturing Machinery",
        ],
        'production_line' => [
            'designation' => "Production Line",
        ],
        'cleaning_equipment' => [
            'designation' => "Cleaning Equipment",
        ],
        'printing_machine' => [
            'designation' => "Printing Machine",
        ],
        'paper_production_machinery' => [
            'designation' => "Paper Production Machinery",
        ],
        'plastic_and_rubber_processing_machinery' => [
            'designation' => "Plastic & Rubber Processing Machinery",
        ],
        'industry_laser_equipment' => [
            'designation' => "Industry Laser Equipment",
        ],
        'packaging_machines' => [
            'designation' => "Packaging Machines",
        ],
        'chemical_and_pharmaceutical_machinery' => [
            'designation' => "Chemical & Pharmaceutical Machinery",
        ],
        'apparel_and_textile_machinery' => [
            'designation' => "Apparel & Textile Machinery",
        ],
        'electronics_production_machinery' => [
            'designation' => "Electronics Production Machinery",
        ],
        'other_machinery_and_industrial_equipment' => [
            'designation' => "Other Machinery & Industrial Equipment",
        ],
        'used_industrial_machinery' => [
            'designation' => "Used Industrial Machinery",
        ],
        'environmental_machinery' => [
            'designation' => "Environmental Machinery",
        ],
        'machinery_accessories' => [
            'designation' => "Machinery Accessories",
        ],
        'tobacco_and_cigarette_machinery' => [
            'designation' => "Tobacco & Cigarette Machinery",
        ],
        'machinery_service' => [
            'designation' => "Machinery Service",
        ],
        'industrial_robots' => [
            'designation' => "Industrial Robots",
        ],
        'food_and_beverage_machinery' => [
            'designation' => "Food & Beverage Machinery",
        ],
        'machine_tool_equipment' => [
            'designation' => "Machine Tool Equipment",
        ],
        'refrigeration_and_heat_exchange_equipment' => [
            'designation' => "Refrigeration & Heat Exchange Equipment",
        ],
        'electrical_equipment_manufacturing_machinery' => [
            'designation' => "Electrical Equipment Manufacturing Machinery",
        ],
        'engineering_and_construction_machinery' => [
            'designation' => "Engineering & Construction Machinery",
        ],
        'energy_and_mineral_equipment' => [
            'designation' => "Energy & Mineral Equipment",
        ],
        'building_material_machinery' => [
            'designation' => "Building Material Machinery",
        ],
        'used_machinery' => [
            'designation' => "Used Machinery",
        ],


        // Automobiles
        'containers' => [
            'designation' => "Containers",
        ],
        'truck' => [
            'designation' => "Truck",
        ],
        'golf_carts' => [
            'designation' => "Golf Carts",
        ],
        'bus' => [
            'designation' => "Bus",
        ],
        'special_transportation' => [
            'designation' => "Special Transportation",
        ],
        'new_energy_vehicles' => [
            'designation' => "New Energy Vehicles",
        ],
        'emergency_vehicles' => [
            'designation' => "Emergency Vehicles",
        ],
        'train_carriage' => [
            'designation' => "Train carriage",
        ],
        'locomotives ' => [
            'designation' => "Locomotives ",
        ],
        'motorcycles_and_Scooters' => [
            'designation' => "Motorcycles & Scooters",
        ],
        'tvs' => [
            'designation' => "ATVs & UTVs",
        ],
        'automotive' => [
            'designation' => "Automotive",
        ],
        'trailers' => [
            'designation' => "Trailers",
        ],
        'tricycles' => [
            'designation' => "Tricycles",
        ],
        'automotive_parts_and_accessories' => [
            'designation' => "Automotive Parts & Accessories",
        ],
        'train_parts_and_accessories' => [
            'designation' => "Train Parts & Accessories",
        ],
        'universal_parts' => [
            'designation' => "Universal Parts",
        ],
        'railway_parts_and_accessories' => [
            'designation' => "Railway Parts & Accessories",
        ],
        'new_energy_vehicle_parts_and_accessories' => [
            'designation' => "New Energy Vehicle Parts & Accessories",
        ],
        'motorcycle_parts_and_accessories' => [
            'designation' => "Motorcycle Parts & Accessories",
        ],
        'go_Kart_and_art_racer_parts_and_accessories' => [
            'designation' => "Go-Kart & Kart Racer Parts & Accessories",
        ],
        'recovery_and_Off_road_and_accessories' => [
            'designation' => "Recovery & Off-road Accessories",
        ],
        'bus_parts_and_accessories' => [
            'designation' => "Bus Parts & Accessories",
        ],
        'wheels_tires_and_accessories' => [
            'designation' => "Wheels, Tires & Accessories",
        ],
        'marine_parts_and_accessories' => [
            'designation' => "Marine Parts & Accessories",
        ],
        'tv_parts' => [
            'designation' => "ATV/UTV Parts & Accessories",
        ],
        'heavy_duty_vehicle_parts_and_accessories' => [
            'designation' => "Heavy Duty Vehicle Parts & Accessories",
        ],
        'container_parts_and_accessories' => [
            'designation' => "Container Parts & Accessories",
        ],
        'truck_parts_and_accessories' => [
            'designation' => "Truck Parts & Accessories",
        ],
        'aviation_parts_and_accessories' => [
            'designation' => "Aviation Parts & Accessories",
        ],
        'trailer_parts_and_accessories' => [
            'designation' => "Trailer Parts & Accessories",
        ],


        //Electronics
        'computer_hardware_and_software' => [
            'designation' => "Computer Hardware & Software",
        ],
        'cables_and_commonly_used_accessories' => [
            'designation' => "Cables & Commonly Used Accessories",
        ],
        'projectors_and_presentation_equipment' => [
            'designation' => "Projectors & Presentation Equipment",
        ],
        'used_electronics' => [
            'designation' => "Used Electronics",
        ],
        'other_consumer_electronics' => [
            'designation' => "Other Consumer Electronics",
        ],
        'chargers_batteries_and_power_supplies' => [
            'designation' => "Chargers, Batteries & Power Supplies",
        ],
        'mobile_phone_and_accessories' => [
            'designation' => "Mobile Phone & Accessories",
        ],
        'video_games_and_accessories' => [
            'designation' => "Video Games & Accessories",
        ],
        'portable_audio_video_and_accessories' => [
            'designation' => "Portable Audio, Video & Accessories",
        ],
        'camera_photo_and_accessories' => [
            'designation' => "Camera, Photo & Accessories",
        ],
        'television_home_audio_video_and_accessories' => [
            'designation' => "Television, Home Audio, Video & Accessories",
        ],
        'electronic_publications' => [
            'designation' => "Electronic Publications",
        ],
        'vr_ar_mr_hardware_and_software' => [
            'designation' => "VR, AR, MR Hardware & Software",
        ],
        'earphone_and_headphone_and_accessories' => [
            'designation' => "Earphone & Headphone & Accessories",
        ],
        'speakers_and_accessories' => [
            'designation' => "Speakers & Accessories",
        ],
        'smart_electronics' => [
            'designation' => "Smart Electronics",
        ],
        'tv_receivers_and_accessories' => [
            'designation' => "TV Receivers & Accessories",
        ],
        'mobile_phone_abd_computer_repair_parts' => [
            'designation' => "Mobile Phone & Computer Repair Parts",
        ],


        //Home Appliances
        'smart_home_appliances' => [
            'designation' => "Smart Home Appliances",
        ],
        'other_home_appliances' => [
            'designation' => "Other Home Appliances",
        ],
        'home_appliance_stock' => [
            'designation' => "Home Appliance Stock",
        ],
        'cleaning_appliances' => [
            'designation' => "Cleaning Appliances",
        ],
        'major_kitchen_appliances' => [
            'designation' => "Major Kitchen Appliances",
        ],
        'second_hand_appliances' => [
            'designation' => "Second-hand Appliances",
        ],
        'refrigerators_and_freezers' => [
            'designation' => "Refrigerators & Freezers",
        ],
        'air_conditioning_appliances' => [
            'designation' => "Air Conditioning Appliances",
        ],
        'home_heaters' => [
            'designation' => "Home Heaters",
        ],
        'home_appliance_parts' => [
            'designation' => "Home Appliance Parts",
        ],
        'laundry_appliances' => [
            'designation' => "Laundry Appliances",
        ],
        'small_kitchen_appliances' => [
            'designation' => "Small Kitchen Appliances",
        ],
        'water_treatment_appliances' => [
            'designation' => "Water Treatment Appliances",
        ],
        'water_heaters' => [
            'designation' => "Water Heaters",
        ],
        'personal_and_care_and_beauty_appliances' => [
            'designation' => "Personal Care & Beauty Appliances",
        ],


        //Fashion
        'wedding_apparel_and_accessories' => [
            'designation' => "Wedding Apparel & Accessories",
        ],
        'socks_and_hosiery' => [
            'designation' => "Socks & Hosiery",
        ],
        'other_apparel' => [
            'designation' => "Other Apparel",
        ],
        'sportswear' => [
            'designation' => "Sportswear",
        ],
        'ethnic_clothing' => [
            'designation' => "Ethnic Clothing",
        ],
        'garment_and_processing_and_accessories' => [
            'designation' => "Garment & Processing Accessories",
        ],
        'womens_clothing' => [
            'designation' => "Women's Clothing",
        ],
        'men_clothing' => [
            'designation' => "Men's Clothing",
        ],
        'novelty_and_special_use' => [
            'designation' => "Novelty & Special Use",
        ],
        'belts_and_accessories' => [
            'designation' => "Belts & Accessories",
        ],
        'gloves_and_mittens' => [
            'designation' => "Gloves & Mittens",
        ],
        'scarves_and_shawls' => [
            'designation' => "Scarves & Shawls",
        ],
        'ties_and_accessories' => [
            'designation' => "Ties & Accessories",
        ],
        'hats_and_caps' => [
            'designation' => "Hats & Caps",
        ],
        'clothes_accessories' => [
            'designation' => "Clothes Accessories",
        ],
        'hair_accessories' => [
            'designation' => "Hair Accessories",
        ],
        'scarf_hat_and_glove_sets' => [
            'designation' => "Scarf, Hat & Glove Sets",
        ],
        'sleeves_and_knee_sleeves' => [
            'designation' => "Sleeves & Knee Sleeves",
        ],
        'other_fashion_accessories' => [
            'designation' => "Other Fashion Accessories",
        ],
        'ear_muffs_and_eye_masks' => [
            'designation' => "Ear Muffs & Eye Masks",
        ],
        'ethnic_accessories' => [
            'designation' => "Ethnic Accessories",
        ],
        'jewelry' => [
            'designation' => "Jewelry",
        ],
        'watches' => [
            'designation' => "Watches",
        ],
        'eye_wear' => [
            'designation' => "Eye wear",
        ],
        'eye_wear_accessories' => [
            'designation' => "Eye wear Accessories",
        ],
        'watch_accessories_parts' => [
            'designation' => "Watch Accessories & Parts",
        ],
        'jewelry_accessories' => [
            'designation' => "Jewelry Accessories",
        ],


        //Lights and Lighting
        'smart_lighting' => [
            'designation' => "Smart lighting",
        ],
        'lighting_accessories' => [
            'designation' => "Lighting Accessories",
        ],
        'lighting_bulbs_and_tubes' => [
            'designation' => "Lighting Bulbs & Tubes",
        ],
        'indoor_lighting' => [
            'designation' => "Indoor Lighting",
        ],
        'outdoor_lighting' => [
            'designation' => "Outdoor Lighting",
        ],
        'professional_lighting' => [
            'designation' => "Professional Lighting",
        ],
        'landscape_lighting' => [
            'designation' => "Landscape Lighting",
        ],
        'healthcare_lighting' => [
            'designation' => "Healthcare Lighting",
        ],
        'commercial_and_industrial_lighting' => [
            'designation' => "Commercial & Industrial Lighting",
        ],
        'holiday_lighting' => [
            'designation' => "Holiday Lighting",
        ],
        'other_lights_and_lighting_products' => [
            'designation' => "Other Lights & Lighting Products",
        ],
        'solar_lighting' => [
            'designation' => "Solar lighting",
        ],


        //Construction/Real-estate
        'prefabricated_buildings' => [
            'designation' => "Prefabricated Buildings",
        ],
        'counter_tops_and_vanity_tops_and_table_ops' => [
            'designation' => "Counter tops, Vanity Tops & Table Tops",
        ],
        'building_and_industrial_and_glass' => [
            'designation' => "Building & Industrial Glass",
        ],
        'mosaics' => [
            'designation' => "Mosaics",
        ],
        'metal_building_materials' => [
            'designation' => "Metal Building Materials",
        ],
        'multifunctional_materials' => [
            'designation' => "Multifunctional Materials",
        ],
        'ladders_and_scaffolding' => [
            'designation' => "Ladders & Scaffolding",
        ],
        'mouldings' => [
            'designation' => "Mouldings",
        ],
        'corner_guards' => [
            'designation' => "Corner Guards",
        ],
        'decorative_films' => [
            'designation' => "Decorative Films",
        ],
        'form_work' => [
            'designation' => "Form work",
        ],
        'other_construction_and_real_and_estate' => [
            'designation' => "Other Construction & Real Estate",
        ],
        'soundproofing_materials' => [
            'designation' => "Soundproofing Materials",
        ],
        'waterproofing_materials' => [
            'designation' => "Waterproofing Materials",
        ],
        'building_boards' => [
            'designation' => "Building Boards",
        ],
        'plastic_building_materials' => [
            'designation' => "Plastic Building Materials",
        ],
        'fireproofing_materials' => [
            'designation' => "Fireproofing Materials",
        ],
        'earthwork_products' => [
            'designation' => "Earthwork Products",
        ],
        'heat_insulation_materials' => [
            'designation' => "Heat Insulation Materials",
        ],
        'curtain_walls_and_accessories' => [
            'designation' => "Curtain Walls & Accessories",
        ],
        'masonry_materials' => [
            'designation' => "Masonry Materials",
        ],
        'stone' => [
            'designation' => "Stone",
        ],
        'elevators_and_escalators' => [
            'designation' => "Elevators & Escalators",
        ],
        'plastic_tubes' => [
            'designation' => "Plastic Tubes",
        ],
        'ceilings' => [
            'designation' => "Ceilings",
        ],
        'door_window_and_accessories' => [
            'designation' => "Door, Window & Accessories",
        ],
        'floor_heating_systems_parts' => [
            'designation' => "Floor Heating Systems & Parts",
        ],
        'stairs_and_stair_parts' => [
            'designation' => "Stairs & Stair Parts",
        ],
        'fireplaces_and_stoves' => [
            'designation' => "Fireplaces & Stoves",
        ],
        'wallpapers_wall_panels' => [
            'designation' => "Wallpapers/Wall panels",
        ],
        'hvac_system_and_parts' => [
            'designation' => "HVAC System & Parts",
        ],
        'tiles_and_accessories' => [
            'designation' => "Tiles & Accessories",
        ],
        'balustrades_handrails' => [
            'designation' => "Balustrades & Handrails",
        ],
        'flooring_and_accessories' => [
            'designation' => "Flooring & Accessories",
        ],
        'bathroom_kitchen' => [
            'designation' => "Bathroom & Kitchen",
        ],
        'outdoor_facilities' => [
            'designation' => "Outdoor Facilities",
        ],


        //Home & Garden
        'garden_supplies' => [
            'designation' => "Garden Supplies",
        ],
        'household_cleaning_tools_and_accessories' => [
            'designation' => "Household Cleaning Tools & Accessories",
        ],
        'lighters_and_smoking_accessories' => [
            'designation' => "Lighters & Smoking Accessories",
        ],
        'home_storage_and_organization' => [
            'designation' => "Home Storage & Organization",
        ],
        'household_scales' => [
            'designation' => "Household Scales",
        ],
        'home_decor' => [
            'designation' => "Home Decor",
        ],
        'home_textiles' => [
            'designation' => "Home Textiles",
        ],
        'kitchen_and_tabletop' => [
            'designation' => "Kitchen & Tabletop",
        ],
        'smart_home_improvement' => [
            'designation' => "Smart Home Improvement",
        ],
        'bathroom_products' => [
            'designation' => "Bathroom Products",
        ],
        'festive_and_party_supplies' => [
            'designation' => "Festive & Party Supplies",
        ],
        'rain_gear' => [
            'designation' => "Rain Gear",
        ],
        'household_sundries' => [
            'designation' => "Household Sundries",
        ],


        //Furniture
        'furniture_accessories' => [
            'designation' => "Furniture Accessories",
        ],
        'home_furniture' => [
            'designation' => "Home Furniture",
        ],
        'commercial_furniture' => [
            'designation' => "Commercial Furniture",
        ],
        'outdoor_furniture' => [
            'designation' => "Outdoor Furniture",
        ],
        'furniture_hardware' => [
            'designation' => "Furniture Hardware",
        ],
        'other_furniture' => [
            'designation' => "Other Furniture",
        ],
        'furniture_parts' => [
            'designation' => "Furniture Parts",
        ],
        'kids_furniture' => [
            'designation' => "Kid's Furniture",
        ],


        //Fabric & Textile Raw Material
        'leather_products' => [
            'designation' => "Leather Products",
        ],
        'yarn' => [
            'designation' => "Yarn",
        ],
        'fiber' => [
            'designation' => "Fiber",
        ],
        'thread' => [
            'designation' => "Thread",
        ],
        'textile_processing' => [
            'designation' => "Textile Processing",
        ],
        'textile_accessories' => [
            'designation' => "Textile Accessories",
        ],
        'other_textiles_and_leather_products' => [
            'designation' => "Other Textiles & Leather Products",
        ],
        'fur' => [
            'designation' => "Fur",
        ],
        'down_and_feather' => [
            'designation' => "Down & Feather",
        ],
        'fabric' => [
            'designation' => "Fabric",
        ],


        //Beauty & Personal care
        'skin_care_and_tools' => [
            'designation' => "Skin Care & Tools",
        ],
        'mail_supplies' => [
            'designation' => "Nail Supplies",
        ],
        'body_art' => [
            'designation' => "Body Art",
        ],
        'makeup_and_tools' => [
            'designation' => "Makeup & Tools",
        ],
        'beauty_equipment' => [
            'designation' => "Beauty Equipment",
        ],
        'perfume_and_fragrance' => [
            'designation' => "Perfume & Fragrance",
        ],
        'other_beauty_and_personal_care_products' => [
            'designation' => "Other Beauty & Personal Care Products",
        ],
        'mini_size_and_gift_sets' => [
            'designation' => "Mini Size & Gift Sets",
        ],
        'hair_extensions_and_wigs' => [
            'designation' => "Hair Extensions & Wigs",
        ],
        'used_beauty_care' => [
            'designation' => "Used Beauty Care",
        ],
        'eyelash_beauty_and_tools' => [
            'designation' => "Eyelash Beauty & Tools",
        ],
        'aesthetic_medicine' => [
            'designation' => "Aesthetic medicine",
        ],
        'kitchen_and_bathroom_cleaning' => [
            'designation' => "Kitchen & Bathroom Cleaning",
        ],
        'hygiene_products' => [
            'designation' => "Hygiene Products",
        ],
        'salon_accessories' => [
            'designation' => "Salon Accessories",
        ],
        'oral_Care' => [
            'designation' => "Oral Care",
        ],
        'bath_supplies' => [
            'designation' => "Bath Supplies",
        ],
        'mens_grooming' => [
            'designation' => "Men's Grooming",
        ],
        'hair_care_and_styling' => [
            'designation' => "Hair Care & Styling",
        ],
        'laundry_cleaning_supplies' => [
            'designation' => "Laundry Cleaning Supplies",
        ],
        'feminine_care' => [
            'designation' => "Feminine Care",
        ],
        'pest_control_products' => [
            'designation' => "Pest Control Products",
        ],
        'other_personal_care_products' => [
            'designation' => "Other Personal Care Products",
        ],
        'travel_size_and_gift_sets' => [
            'designation' => "Travel Size & Gift Sets",
        ],
        'room_deodorizers' => [
            'designation' => "Room Deodorizers",
        ],
        'floor_cleaning' => [
            'designation' => "Floor Cleaning",
        ],
        'hands_and_feet_care' => [
            'designation' => "Hands & Feet Care",
        ],
        'body_care' => [
            'designation' => "Body Care",
        ],
        'special_household_cleaning' => [
            'designation' => "Special Household Cleaning",
        ],


        //Health and Medical
        'extracts' => [
            'designation' => "Extracts",
        ],
        'sex_products' => [
            'designation' => "Sex Products",
        ],
        'medical_consumables' => [
            'designation' => "Medical Consumables",
        ],
        'chinese_medicine' => [
            'designation' => "Chinese Medicine",
        ],
        'professional_medical_devices' => [
            'designation' => "Professional Medical Devices",
        ],
        'health_care_products' => [
            'designation' => "Health Care Products",
        ],
        'animal_and_veterinary' => [
            'designation' => "Animal & Veterinary",
        ],
        'household_medical_devices' => [
            'designation' => "Household Medical Devices",
        ],


        //Printing, packaging and Office supply
        'packaging_raw_materials' => [
            'designation' => "Packaging Raw Materials",
        ],
        'plastic_packaging' => [
            'designation' => "Plastic Packaging",
        ],
        'paper_packaging' => [
            'designation' => "Paper Packaging",
        ],
        'packaging_and_printing_services' => [
            'designation' => "Packaging & Printing Services",
        ],
        'logistics_packaging' => [
            'designation' => "Logistics Packaging",
        ],
        'glass_packaging' => [
            'designation' => "Glass Packaging",
        ],
        'pharmaceutical_packaging' => [
            'designation' => "Pharmaceutical Packaging",
        ],
        'metal_packaging' => [
            'designation' => "Metal Packaging",
        ],
        'other_packaging_and_printing_products' => [
            'designation' => "Other Packaging & Printing Products",
        ],
        'textile_packaging' => [
            'designation' => "Textile Packaging",
        ],
        'packaging_auxiliary_materials' => [
            'designation' => "Packaging Auxiliary Materials",
        ],
        'wooden_and_bamboo_packaging' => [
            'designation' => "Wooden & Bamboo Packaging",
        ],
        'printing_materials' => [
            'designation' => "Printing Materials",
        ],
        'calculators' => [
            'designation' => "Calculators",
        ],
        'pencil_sharpeners' => [
            'designation' => "Pencil Sharpeners",
        ],
        'pens' => [
            'designation' => "Pens",
        ],
        'letter_pad_paper' => [
            'designation' => "Letter Pad/Paper",
        ],
        'office_paper' => [
            'designation' => "Office Paper",
        ],
        'printer_supplies' => [
            'designation' => "Printer Supplies",
        ],
        'book_covers' => [
            'designation' => "Book covers",
        ],
        'other_office_and_school_supplies' => [
            'designation' => "Other Office & School Supplies",
        ],
        'stationery_set' => [
            'designation' => "Stationery Set",
        ],
        'stamps' => [
            'designation' => "Stamps",
        ],
        'drafting_supplies' => [
            'designation' => "Drafting Supplies",
        ],
        'stencils' => [
            'designation' => "Stencils",
        ],
        'electronic_dictionary' => [
            'designation' => "Electronic Dictionary",
        ],
        'books' => [
            'designation' => "Books",
        ],
        'map' => [
            'designation' => "Map",
        ],
        'magazines' => [
            'designation' => "Magazines",
        ],
        'calendars' => [
            'designation' => "Calendars",
        ],
        'writing_accessories' => [
            'designation' => "Writing Accessories",
        ],
        'markers_and_highlighters' => [
            'designation' => "Markers & Highlighters",
        ],
        'easels' => [
            'designation' => "Easels",
        ],
        'yellow_pages' => [
            'designation' => "Yellow Pages",
        ],
        'commercial_office_supplies' => [
            'designation' => "Commercial Office Supplies",
        ],
        'file_folder_accessories' => [
            'designation' => "File Folder Accessories",
        ],
        'notebooks_and_writing_pads' => [
            'designation' => "Notebooks & Writing Pads",
        ],
        'pencil_cases_and_bags' => [
            'designation' => "Pencil Cases & Bags",
        ],
        'correction_supplies' => [
            'designation' => "Correction Supplies",
        ],
        'office_adhesives_and_tapes' => [
            'designation' => "Office Adhesives & Tapes",
        ],
        'education_supplies' => [
            'designation' => "Education Supplies",
        ],
        'office_binding_supplies' => [
            'designation' => "Office Binding Supplies",
        ],
        'board_erasers' => [
            'designation' => "Board Erasers",
        ],
        'office_cutting_supplies' => [
            'designation' => "Office Cutting Supplies",
        ],
        'paper_envelopes' => [
            'designation' => "Paper Envelopes",
        ],
        'pencils' => [
            'designation' => "Pencils",
        ],
        'desk_organizers' => [
            'designation' => "Desk Organizers",
        ],
        'badge_holder_accessories' => [
            'designation' => "Badge Holder & Accessories",
        ],
        'art_supplies' => [
            'designation' => "Art Supplies",
        ],
        'filing_products' => [
            'designation' => "Filing Products",
        ],
        'clipboards' => [
            'designation' => "Clipboards",
        ],
        'boards' => [
            'designation' => "Boards",
        ],
        'lab_supplies' => [
            'designation' => "Lab Supplies",
        ],
        'testing_instruments' => [
            'designation' => "Test Instruments",
        ],
        'testing_equipment' => [
            'designation' => "Testing Equipment",
        ],
        'measuring_and_gauging_tools' => [
            'designation' => "Measuring & Gauging Tools",
        ],


        //Electrical and Telecommunication Supplies
        'professional_audio_video_and_lighting' => [
            'designation' => "Professional Audio, Video & Lighting(old)",
        ],
        'electrical_supplies' => [
            'designation' => "Electrical Supplies",
        ],
        'wiring_accessories' => [
            'designation' => "Wiring Accessories",
        ],
        'connectors_and_terminals' => [
            'designation' => "Connectors & Terminals",
        ],
        'industrial_controls' => [
            'designation' => "Industrial Controls",
        ],
        'electrical_instruments' => [
            'designation' => "Electrical Instruments",
        ],
        'low_voltage_products' => [
            'designation' => "Low Voltage Products",
        ],
        'wires_cables_and_cable_assemblies' => [
            'designation' => "Wires, Cables & Cable Assemblies",
        ],
        'generators' => [
            'designation' => "Generators",
        ],
        'switches' => [
            'designation' => "Switches",
        ],
        'power_supplies' => [
            'designation' => "Power Supplies",
        ],
        'medium_and_high_voltage_products' => [
            'designation' => "Medium & High Voltage Products",
        ],
        'pcb_and_pcba' => [
            'designation' => "PCB & PCBA",
        ],
        'circuit_protection' => [
            'designation' => "Circuit Protection",
        ],
        'connectors_terminals_and_accessories' => [
            'designation' => "Connectors, Terminals & Accessories",
        ],
        'telecommunications' => [
            'designation' => "Telecommunications",
        ],
        'development_boards_electronic_modules_and_kits' => [
            'designation' => "Development Boards, Electronic Modules and Kits",
        ],
        'electronic_accessories_and_supplies' => [
            'designation' => "Electronic Accessories & Supplies",
        ],
        'passive_components' => [
            'designation' => "Passive Components",
        ],
        'isolators' => [
            'designation' => "Isolators",
        ],
        'audio_components_and_products' => [
            'designation' => "Audio Components and Products",
        ],
        'sensors' => [
            'designation' => "Sensors",
        ],
        'displays_signage_and_optoelectronic' => [
            'designation' => "Displays, Signage and Optoelectronic",
        ],
        'rf_microwave_and_rfid' => [
            'designation' => "RF, Microwave and RFID",
        ],
        'discrete_semiconductors' => [
            'designation' => "Discrete Semiconductors",
        ],
        'wireless_and_iot_Module_and_products' => [
            'designation' => "Wireless & IoT Module and Products",
        ],
        'relays' => [
            'designation' => "Relays",
        ],
        'integrated_circuits' => [
            'designation' => "Integrated Circuits",
        ],


        //Hardware, tools, Security, safety & fabrication services
        'pumps_and_parts' => [
            'designation' => "Pumps & Parts",
        ],
        'tool_storage' => [
            'designation' => "Tool Storage",
        ],
        'fasteners' => [
            'designation' => "Fasteners",
        ],
        'welding_and_soldering_supplies' => [
            'designation' => "Welding & Soldering Supplies",
        ],
        'pneumatic_tools' => [
            'designation' => "Pneumatic Tools",
        ],
        'hardware' => [
            'designation' => "Hardware",
        ],
        'valves' => [
            'designation' => "Valves",
        ],
        'abrasives' => [
            'designation' => "Abrasives",
        ],
        'hydraulic_tools' => [
            'designation' => "Hydraulic Tools",
        ],
        'machining' => [
            'designation' => "Machining",
        ],
        'tool_parts' => [
            'designation' => "Tool Parts",
        ],
        'power_tools' => [
            'designation' => "Power Tools",
        ],
        'drill_bits' => [
            'designation' => "Drill Bits",
        ],
        'hand_tools' => [
            'designation' => "Hand Tools",
        ],
        'other_tools' => [
            'designation' => "Other Tools",
        ],
        'tool_sets' => [
            'designation' => "Tool Sets",
        ],
        'pipe_fittings' => [
            'designation' => "Pipe Fittings",
        ],
        'i_o_t_solutions_and_software' => [
            'designation' => "IoT Solutions & Software",
        ],
        'alarms' => [
            'designation' => "Alarms",
        ],
        'surveillance_products' => [
            'designation' => "Surveillance Products",
        ],
        'safes' => [
            'designation' => "Safes",
        ],
        'other_security_and_protection_products' => [
            'designation' => "Other Security & Protection Products",
        ],
        'self_defense_supplies' => [
            'designation' => "Self Defense Supplies",
        ],
        'access_control_systems_and_products' => [
            'designation' => "Access Control Systems & Products",
        ],
        'locks_and_keys' => [
            'designation' => "Locks & Keys",
        ],
        'tactical_and_personal_defense_equipment' => [
            'designation' => "Tactical & Personal Defense Equipment",
        ],
        'water_safety_products' => [
            'designation' => "Water Safety Products",
        ],
        'personal_protective_equipment' => [
            'designation' => "Personal Protective Equipment",
        ],
        'firefighting_supplies' => [
            'designation' => "Firefighting Supplies",
        ],
        'roadway_safety' => [
            'designation' => "Roadway Safety",
        ],
        'moulds' => [
            'designation' => "Moulds",
        ],
        'machining_services' => [
            'designation' => "Machining Services",
        ],
        'other_fabrication_services' => [
            'designation' => "Other Fabrication Services",
        ],
        'casting_services' => [
            'designation' => "Casting Services",
        ],
        'forging_services' => [
            'designation' => "Forging Services",
        ],


        //Sports Entertainment
        'field_events' => [
            'designation' => "Field events",
        ],
        'scooters' => [
            'designation' => "Scooters",
        ],
        'souvenirs' => [
            'designation' => "Souvenirs",
        ],
        'Collectibles_costumes_and_toys' => [
            'designation' => "Collectibles, Costumes & Toys",
        ],
        'rvs_and_campers' => [
            'designation' => "RVs & Campers",
        ],
        'boats_and_ships' => [
            'designation' => "Boats & Ships",
        ],
        'exercise_rehabilitation' => [
            'designation' => "Exercise Rehabilitation",
        ],
        'artificial_grass_and_sports_flooring_and_sports_court_qui' => [
            'designation' => "Artificial Grass & Sports Flooring & Sports Court Equi",
        ],
        'sports_fitness_technology' => [
            'designation' => "Sports Fitness Technology",
        ],
        'other_sports_and_entertainment_products' => [
            'designation' => "Other Sports & Entertainment Products",
        ],
        'winter_sports' => [
            'designation' => "Winter Sports",
        ],
        'water_sports' => [
            'designation' => "Water Sports",
        ],
        'team_sports' => [
            'designation' => "Team Sports",
        ],
        'sports_safety' => [
            'designation' => "Sports Safety",
        ],
        'fishing' => [
            'designation' => "Fishing",
        ],
        'other_outdoor_sports' => [
            'designation' => "Other Outdoor Sports",
        ],
        'camping_and_hiking' => [
            'designation' => "Camping & Hiking",
        ],
        'musical_instruments' => [
            'designation' => "Musical Instruments",
        ],
        'indoor_sports_and_entertainment' => [
            'designation' => "Indoor Sports & Entertainment",
        ],
        'amusement_park_products' => [
            'designation' => "Amusement Park Products",
        ],
        'fitness_and_body_building' => [
            'designation' => "Fitness & Body Building",
        ],
        'golf' => [
            'designation' => "Golf",
        ],
        'sports_shoes' => [
            'designation' => "Sports Shoes",
        ],
        'sport_bags' => [
            'designation' => "Sport Bags",
        ],
        'cycling' => [
            'designation' => "Cycling",
        ],
        'yoga_pilates' => [
            'designation' => "Yoga & Pilates",
        ],


        //Mother, Kids and Toys
        'baby_food' => [
            'designation' => "Baby Food",
        ],
        'kids_accessories' => [
            'designation' => "Kids Accessories",
        ],
        'promotional_toys' => [
            'designation' => "Promotional Toys",
        ],
        'baby_supplies_and_products' => [
            'designation' => "Baby Supplies & Products",
        ],
        'baby_care' => [
            'designation' => "Baby Care",
        ],
        'blocks_and_model_building_toys' => [
            'designation' => "Blocks & Model Building Toys",
        ],
        'toy_guns' => [
            'designation' => "Toy Guns",
        ],
        'baby_Clothing' => [
            'designation' => "Baby Clothing",
        ],
        'pools_and_water_fun' => [
            'designation' => "Pools & Water Fun",
        ],
        'puzzle_and_games' => [
            'designation' => "Puzzle & Games",
        ],
        'toddler_clothing' => [
            'designation' => "Toddler Clothing",
        ],
        'baby_furniture' => [
            'designation' => "Baby Furniture",
        ],
        'electronic_toys' => [
            'designation' => "Electronic Toys",
        ],
        'maternity_clothes' => [
            'designation' => "Maternity Clothes",
        ],
        'kids_shoes' => [
            'designation' => "Kids Shoes",
        ],
        'balloons' => [
            'designation' => "Balloons",
        ],
        'stuffed_animals_and_plush_toys' => [
            'designation' => "Stuffed Animals & Plush Toys",
        ],
        'toy_vehicle' => [
            'designation' => "Toy Vehicle",
        ],
        'outdoor_toys_and_structures' => [
            'designation' => "Outdoor Toys & Structures",
        ],
        'educational_toys' => [
            'designation' => "Educational Toys",
        ],
        'dress_up_and_pretend_play' => [
            'designation' => "Dress Up & Pretend Play",
        ],
        'classic_toys' => [
            'designation' => "Classic Toys",
        ],
        'baby_and_toddler_toys' => [
            'designation' => "Baby & Toddler Toys",
        ],
        'pregnancy_and_maternity' => [
            'designation' => "Pregnancy & Maternity",
        ],
        'baby_appliances' => [
            'designation' => "Baby Appliances",
        ],
        'dolls_and_accessories' => [
            'designation' => "Dolls & Accessories",
        ],
        'arts_crafts_and_diy_oys' => [
            'designation' => "Arts, Crafts & DIY Toys",
        ],
        'remote_control_toys' => [
            'designation' => "Remote Control Toys",
        ],
        'novelty_and_gag_toys' => [
            'designation' => "Novelty & Gag Toys",
        ],
        'action_and_toy_figures' => [
            'designation' => "Action & Toy Figures",
        ],
        'kids_luggage_and_bags' => [
            'designation' => "Kids' Luggage & Bags",
        ],
        'hobbies_and_models' => [
            'designation' => "Hobbies & Models",
        ],
        'children_clothing' => [
            'designation' => "Children's Clothing",
        ],
        'Kid_textile_and_bedding' => [
            'designation' => "Kid's Textile & Bedding",
        ],


        //Gift and Craft
        'flags_banners_and_display_accessories' => [
            'designation' => "Flags, Banners & Display Accessories",
        ],
        'lanyard' => [
            'designation' => "Lanyard",
        ],
        'stickers' => [
            'designation' => "Stickers",
        ],
        'other_gifts' => [
            'designation' => "Other Gifts",
        ],
        'promotional_and_business_gifts' => [
            'designation' => "Promotional & Business Gifts",
        ],
        'crafts' => [
            'designation' => "Crafts",
        ],
        'key_chains' => [
            'designation' => "Key Chains",
        ],


        //Luggage, Bags and Cases
        'mens_bags' => [
            'designation' => "Men's Bags",
        ],
        'pets_bags' => [
            'designation' => "Pets' Bags",
        ],
        'business_bags_and_cases' => [
            'designation' => "Business Bags & Cases",
        ],
        'wallets_and_holders' => [
            'designation' => "Wallets & Holders",
        ],
        'special_purpose_bags_and_cases' => [
            'designation' => "Special Purpose Bags & Cases",
        ],
        'luggage_carts' => [
            'designation' => "Luggage Carts",
        ],
        'waist_bags' => [
            'designation' => "Waist Bags",
        ],
        'luggage_and_travel_bags' => [
            'designation' => "Luggage & Travel Bags",
        ],
        'Lifestyle_bags' => [
            'designation' => "Lifestyle Bags",
        ],
        'bag_luggage_parts_accessories' => [
            'designation' => "Bag/Luggage Parts & Accessories",
        ],
        'backpacks' => [
            'designation' => "Backpacks",
        ],
        'sports_bags_cases' => [
            'designation' => "Sports Bags & Cases",
        ],
        'handbags' => [
            'designation' => "Handbags",
        ],
        'evening_bags' => [
            'designation' => "Evening Bags",
        ],
        'messenger_bags' => [
            'designation' => "Messenger Bags",
        ],
        'women_bags' => [
            'designation' => "Women's Bags",
        ],
        'used_ags' => [
            'designation' => "Used Bags",
        ],
        'outdoor_use_bags_cases' => [
            'designation' => "Outdoor Use Bags & Cases",
        ],
        'other_luggage_bags_and_cases' => [
            'designation' => "Other Luggage, Bags & Cases",
        ],


        //Shoes and Accessories
        'shoe_care_and_services' => [
            'designation' => "Shoe Care & Services",
        ],
        'mens_shoes' => [
            'designation' => "Men's Shoes",
        ],
        'women_shoes' => [
            'designation' => "Women's Shoes",
        ],
        'outdoor_shoes' => [
            'designation' => "Outdoor Shoes",
        ],
        'functional_shoes' => [
            'designation' => "Functional Shoes",
        ],
        'shoe_parts_and_accessories' => [
            'designation' => "Shoe Parts & Accessories",
        ],
        'shoes_stock' => [
            'designation' => "Shoes Stock",
        ],
        'other_shoes' => [
            'designation' => "Other Shoes",
        ],


        //Metals and Alloys
        'wire_mesh' => [
            'designation' => "Wire Mesh",
        ],
        'stainless_steel' => [
            'designation' => "Stainless Steel",
        ],
        'alloy_steel' => [
            'designation' => "Alloy Steel",
        ],
        'non_ferrous_metal' => [
            'designation' => "Non-ferrous Metal",
        ],
        'metals_and_metal_products' => [
            'designation' => "Metals & Metal Products",
        ],
        'carbon_steel' => [
            'designation' => "Carbon Steel",
        ],
        'iron_and_iron_products' => [
            'designation' => "Iron & Iron Products",
        ],


        //Chemicals
        'energy_chemicals' => [
            'designation' => "Energy Chemicals",
        ],
        'flavor_and_fragrance' => [
            'designation' => "Flavor & Fragrance",
        ],
        'chemical_reagents' => [
            'designation' => "Chemical Reagents",
        ],
        'non_explosive_demolition_agents' => [
            'designation' => "Non-Explosive Demolition Agents",
        ],
        'other_chemicals' => [
            'designation' => "Other Chemicals",
        ],
        'custom_chemical_services' => [
            'designation' => "Custom Chemical Services",
        ],
        'biological_chemical_products' => [
            'designation' => "Biological Chemical Products",
        ],
        'painting_and_coating' => [
            'designation' => "Painting & Coating",
        ],
        'surface_treatment_chemicals' => [
            'designation' => "Surface Treatment Chemicals",
        ],
        'catalysts_and_chemical_auxiliary_agents' => [
            'designation' => "Catalysts & Chemical Auxiliary Agents",
        ],
        'admixture_and_Additives' => [
            'designation' => "Admixture & Additives",
        ],
        'pigments_and_dyestuff' => [
            'designation' => "Pigments & Dyestuff",
        ],
        'basic_organic_chemicals' => [
            'designation' => "Basic Organic Chemicals",
        ],
        'Agrochemicals' => [
            'designation' => "Agrochemicals",
        ],
        'inorganic_chemicals' => [
            'designation' => "Inorganic Chemicals",
        ],
        'Coating_and_paint' => [
            'designation' => "Coating & Paint",
        ],
        'chemical_waste' => [
            'designation' => "Chemical Waste",
        ],
        'daily_chemicals' => [
            'designation' => "Daily Chemicals",
        ],
        'adhesives_and_sealants' => [
            'designation' => "Adhesives & Sealants",
        ],
        'polymer' => [
            'designation' => "Polymer",
        ],
        'organic_intermediate' => [
            'designation' => "Organic Intermediate",
        ],


        //Rubber & Plastic
        'plastic_raw_materials' => [
            'designation' => "Plastic Raw Materials",
        ],
        'rubber_raw_materials' => [
            'designation' => "Rubber Raw Materials",
        ],
        'plastic_products' => [
            'designation' => "Plastic Products",
        ],
        'plastic_projects' => [
            'designation' => "Plastic Projects",
        ],
        'plastic_stocks' => [
            'designation' => "Plastic Stocks",
        ],
        'recycled_plastic' => [
            'designation' => "Recycled Plastic",
        ],
        'recycled_rubber' => [
            'designation' => "Recycled Rubber",
        ],
        'rubber_products' => [
            'designation' => "Rubber Products",
        ],
        'rubber_projects' => [
            'designation' => "Rubber Projects",
        ],
        'rubber_stock' => [
            'designation' => "Rubber Stock",
        ],


        //Agriculture, Food and Beverages
        'fresh_fruit' => [
            'designation' => "Fresh Fruit",
        ],
        'beans' => [
            'designation' => "Beans",
        ],
        'mushrooms_and_truffles' => [
            'designation' => "Mushrooms & Truffles",
        ],
        'other_agriculture_products' => [
            'designation' => "Other Agriculture Products",
        ],
        'agricultural_waste' => [
            'designation' => "Agricultural Waste",
        ],
        'timber_raw_materials' => [
            'designation' => "Timber Raw Materials",
        ],
        'fresh_vegetables' => [
            'designation' => "Fresh Vegetables",
        ],
        'animal_products' => [
            'designation' => "Animal Products",
        ],
        'animal_feed' => [
            'designation' => "Animal Feed",
        ],
        'hemp' => [
            'designation' => "Hemp",
        ],
        'ornamental_plants' => [
            'designation' => "Ornamental Plants",
        ],
        'plant_seeds_and_bulbs' => [
            'designation' => "Plant Seeds & Bulbs",
        ],
        'agricultural_equipment' => [
            'designation' => "Agricultural Equipment",
        ],
        'frozen_products' => [
            'designation' => "Frozen Products",
        ],
        'beverages' => [
            'designation' => "Beverages",
        ],
        'nuts_and_kernels' => [
            'designation' => "Nuts & Kernels",
        ],
        'seafood' => [
            'designation' => "Seafood",
        ],
        'plant_and_animal_oil' => [
            'designation' => "Plant & Animal Oil",
        ],
        'egg_products' => [
            'designation' => "Egg Products",
        ],
        'dairy_products' => [
            'designation' => "Dairy Products",
        ],
        'seasonings_and_condiments' => [
            'designation' => "Seasonings & Condiments",
        ],
        'canned_food' => [
            'designation' => "Canned Food",
        ],
        'instant_food' => [
            'designation' => "Instant Food",
        ],
        'baked_goods' => [
            'designation' => "Baked Goods",
        ],
        'other_food_and_beverage' => [
            'designation' => "Other Food & Beverage",
        ],
        'meat_and_poultry' => [
            'designation' => "Meat & Poultry",
        ],
        'confectionery' => [
            'designation' => "Confectionery",
        ],
        'grain_products' => [
            'designation' => "Grain Products",
        ],
        'snacks' => [
            'designation' => "Snacks",
        ],
        'honey_and_honey_products' => [
            'designation' => "Honey & Honey Products",
        ],
        'frog_and_escargot' => [
            'designation' => "Frog & Escargot",
        ],
        'bean_products' => [
            'designation' => "Bean Products",
        ],
        'fruit_and_vegetable_products' => [
            'designation' => "Fruit & Vegetable Products",
        ],
        'food_ingredients' => [
            'designation' => "Food Ingredients",
        ],


        //Business & Commercial service Equipment
        'financial_equipment' => [
            'designation' => "Financial Equipment",
        ],
        'party_supplies' => [
            'designation' => "Party Supplies",
        ],
        'restaurant_and_hotel_supplies' => [
            'designation' => "Restaurant & Hotel Supplies",
        ],
        'funeral_supplies' => [
            'designation' => "Funeral Supplies",
        ],
        'advertising_equipment' => [
            'designation' => "Advertising Equipment",
        ],
        'commercial_robots' => [
            'designation' => "Commercial Robots",
        ],
        'trade_show_equipment' => [
            'designation' => "Trade Show Equipment",
        ],
        'warehousing_and_supermarket_supplies' => [
            'designation' => "Warehousing & Supermarket Supplies",
        ],
        'commercial_laundry_equipment' => [
            'designation' => "Commercial Laundry Equipment",
        ],
        'vending_machines' => [
            'designation' => "Vending Machines",
        ],
        'other_service_equipment' => [
            'designation' => "Other Service Equipment",
        ],
        'digital_signage' => [
            'designation' => "Digital Signage",
        ],


        //Energy & Environment
        'batteries' => [
            'designation' => "Batteries",
        ],
        'solar_energy_products' => [
            'designation' => "Solar Energy Products",
        ],
        'energy_storage_system' => [
            'designation' => "Energy Storage System",
        ],
        'other_renewable_energy' => [
            'designation' => "Other Renewable Energy",
        ],
        'wind_power_products' => [
            'designation' => "Wind Power Products",
        ],
        'solar_applications' => [
            'designation' => "Solar Applications",
        ],
        'hydro_generator' => [
            'designation' => "Hydro Generator",
        ],
        'solar_thermal_energy' => [
            'designation' => "Solar Thermal Energy",
        ],
        'hydrogen_energy' => [
            'designation' => "Hydrogen Energy",
        ],
        'recycling' => [
            'designation' => "Recycling",
        ],
        'sewer_products' => [
            'designation' => "Sewer Products",
        ],
        'other_environmental_products' => [
            'designation' => "Other Environmental Products",
        ],
        'other_excess_inventory' => [
            'designation' => "Other Excess Inventory",
        ],


        //Power Handling & Material Handling
        'bearings' => [
            'designation' => "Bearings",
        ],
        'power_transmission_parts' => [
            'designation' => "Power Transmission Parts",
        ],
        'hydraulic_parts' => [
            'designation' => "Hydraulic Parts",
        ],
        'bearing_accessories' => [
            'designation' => "Bearing Accessories",
        ],
        'industrial_brakes' => [
            'designation' => "Industrial Brakes",
        ],
        'gearboxes' => [
            'designation' => "Gearboxes",
        ],
        'speed_reducers' => [
            'designation' => "Speed Reducers",
        ],
        'lifting_pulling_and_positioning' => [
            'designation' => "Lifting/ Pulling & Positioning",
        ],
        'warehousing' => [
            'designation' => "Warehousing",
        ],
        'transporting' => [
            'designation' => "Transporting",
        ],


        //Pets & Animals
        'birds' => [
            'designation' => "Birds",
        ],
        'fish' => [
            'designation' => "Fish",
        ],
        'frogs_and_amphibians' => [
            'designation' => "Frogs & Amphibians",
        ],
        'invertebrates' => [
            'designation' => "Invertebrates",
        ],
        'kittens_and_cats' => [
            'designation' => "Kittens & Cats",
        ],
        'livestock' => [
            'designation' => "Livestock",
        ],
        'horses' => [
            'designation' => "Horses",
        ],
        'pet_food_and_accessories' => [
            'designation' => "Pet Food & Accessories",
        ],
        'puppies_and_dogs' => [
            'designation' => "Puppies & Dogs",
        ],
        'rabbits_and_bunnies' => [
            'designation' => "Rabbits & Bunnies",
        ],
        'reptiles' => [
            'designation' => "Reptiles",
        ],
        'small_furries' => [
            'designation' => "Small Furries",
        ],


        //Graphics & Design
        'logo_and_brand_identity' => [
            'designation' => "Logo & Brand Identity",
        ],
        'web_and_app_design' => [
            'designation' => "Web & App Design",
        ],
        'visual_and_design' => [
            'designation' => "Visual Design",
        ],
        'architecture_and_building_design' => [
            'designation' => "Architecture & Building Design",
        ],
        'fashion_and_merchandise' => [
            'designation' => "Fashion & Merchandise",
        ],
        'art_and_illustration' => [
            'designation' => "Art & Illustration",
        ],
        'product_and_gaming' => [
            'designation' => "Product & Gaming",
        ],
        'marketing_and_design' => [
            'designation' => "Marketing Design",
        ],
        '3d_design' => [
            'designation' => "3D Design",
        ],
        'print_design' => [
            'designation' => "Print Design",
        ],
        'packaging_and_covers' => [
            'designation' => "Packaging & Covers",
        ],


        // Digital Marketing
        'search' => [
            'designation' => "Search",
        ],
        'social' => [
            'designation' => "Social",
        ],
        'methods_and_techniques' => [
            'designation' => "Methods & Techniques",
        ],
        'analytics_and_strategy' => [
            'designation' => "Analytics & Strategy",
        ],
        'industry_and-purpose_specific' => [
            'designation' => "Industry & Purpose-Specific",
        ],


        //Writing & Translation
        'articles_and_blog_posts' => [
            'designation' => "Articles & Blog Posts",
        ],
        'translation' => [
            'designation' => "Translation",
        ],
        'proofreading_and_editing' => [
            'designation' => "Proofreading & Editing",
        ],
        'resume_writing' => [
            'designation' => "Resume Writing",
        ],
        'cover_letters' => [
            'designation' => "Cover Letters",
        ],
        'linkedIn_profiles' => [
            'designation' => "LinkedIn Profiles",
        ],
        'ad_copy' => [
            'designation' => "Ad Copy",
        ],
        'sales_copy' => [
            'designation' => "Sales Copy",
        ],
        'social_media_copy' => [
            'designation' => "Social Media Copy",
        ],
        'email_copy' => [
            'designation' => "Email Copy",
        ],
        'case_studies' => [
            'designation' => "Case Studies",
        ],
        'Book_and_eBook_writing' => [
            'designation' => "Book & eBook Writing",
        ],
        'book_editing' => [
            'designation' => "Book Editing",
        ],
        'scriptwriting' => [
            'designation' => "Scriptwriting",
        ],
        'podcast_writing' => [
            'designation' => "Podcast Writing",
        ],
        'beta_reading' => [
            'designation' => "Beta Reading",
        ],
        'creative_writing' => [
            'designation' => "Creative Writing",
        ],
        'brand_voice_and_tone' => [
            'designation' => "Brand Voice & Tone",
        ],
        'ux_writing' => [
            'designation' => "UX Writing",
        ],
        'speech_writing' => [
            'designation' => "Speech writing",
        ],
        'eLearning_content_development' => [
            'designation' => "eLearning Content Development",
        ],
        'technical_writing' => [
            'designation' => "Technical Writing",
        ],
        'job_descriptions' => [
            'designation' => "Job Descriptions",
        ],
        'white_papers' => [
            'designation' => "White Papers",
        ],
        'website_content' => [
            'designation' => "Website Content",
        ],
        'product_descriptions' => [
            'designation' => "Product Descriptions",
        ],
        'press_releases' => [
            'designation' => "Press Releases",
        ],
        'business_names_and_slogans' => [
            'designation' => "Business Names & Slogans",
        ],
        'grant_writing' => [
            'designation' => "Grant Writing",
        ],
        'transcription' => [
            'designation' => "Transcription",
        ],
        'research_and_summaries' => [
            'designation' => "Research & Summaries",
        ],
        'writing_advice' => [
            'designation' => "Writing Advice",
        ],


        //Video & Animation
        'video_editing' => [
            'designation' => "Video Editing",
        ],
        'producers_and_composers' => [
            'designation' => "Producers & Composers",
        ],
        'animated_explainers' => [
            'designation' => "Animated Explainers",
        ],
        'character_animation' => [
            'designation' => "Character Animation",
        ],
        'music_videos' => [
            'designation' => "Music Videos",
        ],
        'logo_animation' => [
            'designation' => "Logo Animation",
        ],
        'lottie_and_web_animation' => [
            'designation' => "Lottie & Web Animation",
        ],
        'intro_and_outro_videos' => [
            'designation' => "Intro & Outro Videos",
        ],
        'visual_effects' => [
            'designation' => "Visual Effects",
        ],
        'rigging' => [
            'designation' => "Rigging",
        ],
        'subtitles_and_captions' => [
            'designation' => "Subtitles & Captions",
        ],
        'app_and_website_previews' => [
            'designation' => "App & Website Previews",
        ],
        '3d_product_animation' => [
            'designation' => "3D Product Animation",
        ],
        'social_media_videos' => [
            'designation' => "Social Media Videos",
        ],
        'ecommerce_product_videos' => [
            'designation' => "E-Commerce Product Videos",
        ],
        'spokesperson_videos' => [
            'designation' => "Spokesperson Videos",
        ],
        'animated_gifs' => [
            'designation' => "Animated GIFs",
        ],
        'unboxing_videos' => [
            'designation' => "Unboxing Videos",
        ],
        'corporate_videos' => [
            'designation' => "Corporate Videos",
        ],
        'slideshow_videos' => [
            'designation' => "Slideshow Videos",
        ],
        'crowdfunding_videos' => [
            'designation' => "Crowdfunding Videos",
        ],
        'meditation_videos' => [
            'designation' => "Meditation Videos",
        ],
        'videographers' => [
            'designation' => "Videographers",
        ],
        'filmed_video_production' => [
            'designation' => "Filmed Video Production",
        ],
        'live_action_explainers' => [
            'designation' => "Live Action Explainers",
        ],
        'game_trailers' => [
            'designation' => "Game Trailers",
        ],
        'book_trailers' => [
            'designation' => "Book Trailers",
        ],
        'nft_animation' => [
            'designation' => "NFT Animation",
        ],
        'animation_for_streamers' => [
            'designation' => "Animation for Streamers",
        ],
        'animation_for_kids' => [
            'designation' => "Animation for Kids",
        ],
        'article_to_video' => [
            'designation' => "Article to Video",
        ],
        'real_estate_promos' => [
            'designation' => "Real Estate Promos",
        ],
        'eLearning_video_production' => [
            'designation' => "eLearning Video Production",
        ],
        'video_templates_editing' => [
            'designation' => "Video Templates Editing",
        ],
        'screencast_videos' => [
            'designation' => "Screencast Videos",
        ],
        'video_advice' => [
            'designation' => "Video Advice",
        ],


        //Music & Audio
        'producers_and_composers_audio' => [
            'designation' => "Producers & Composers",
        ],
        'mixing_and_mastering' => [
            'designation' => "Mixing & Mastering",
        ],
        'singers_and_vocalists' => [
            'designation' => "Singers & Vocalists",
        ],
        'session_musicians' => [
            'designation' => "Session Musicians",
        ],
        'songwriters' => [
            'designation' => "Songwriters",
        ],
        'beat_making' => [
            'designation' => "Beat Making",
        ],
        'jingles_and_intros' => [
            'designation' => "Jingles & Intros",
        ],
        'online_music_lessons' => [
            'designation' => "Online Music Lessons",
        ],
        'music_transcription' => [
            'designation' => "Music Transcription",
        ],
        'remixing_and_mashups' => [
            'designation' => "Remixing & Mashups",
        ],
        'meditation_music' => [
            'designation' => "Meditation Music",
        ],
        'synth_presets' => [
            'designation' => "Synth Presets",
        ],
        'voice_over' => [
            'designation' => "Voice Over",
        ],
        'podcast_production' => [
            'designation' => "Podcast Production",
        ],
        'audiobook_production' => [
            'designation' => "Audiobook Production",
        ],
        'sound_design' => [
            'designation' => "Sound Design",
        ],
        'audio_editing' => [
            'designation' => "Audio Editing",
        ],
        'audio_ads_production' => [
            'designation' => "Audio Ads Production",
        ],
        'dj_drops_and_tgs' => [
            'designation' => "DJ Drops & Tags",
        ],
        'dj_mixing' => [
            'designation' => "DJ Mixing",
        ],
        'audio_logo_and_sonic_branding' => [
            'designation' => "Audio Logo & Sonic Branding",
        ],
        'vocal_tuning' => [
            'designation' => "Vocal Tuning",
        ],
        'music_and_audio_advice' => [
            'designation' => "Music & Audio Advice",
        ],
        'voice_synthesis_and_ai' => [
            'designation' => "Voice Synthesis & AI",
        ],


        //Programming & Tech
        'websites' => [
            'designation' => "Websites",
        ],
        'website_platforms' => [
            'designation' => "Website Platforms",
        ],
        'application_development' => [
            'designation' => "Application Development",
        ],
        'Support_and_cyber_security' => [
            'designation' => "Support & Cyber Security",
        ],
        'data' => [
            'designation' => "Data",
        ],
        'more_options_programming_and_tech' => [
            'designation' => "More Options",
        ],


        //Photography
        'products_and_lifestyle' => [
            'designation' => "Products & Lifestyle",
        ],
        'people_and_scenes' => [
            'designation' => "People & Scenes",
        ],
        'more_options_photography' => [
            'designation' => "More Options",
        ],


        //Business
        'business_formation' => [
            'designation' => "Business Formation",
        ],
        'legal_services' => [
            'designation' => "Legal Services",
        ],
        'general_and_administrative' => [
            'designation' => "General & Administrative",
        ],
        'business_and_growth' => [
            'designation' => "Business Growth",
        ],
        'sales_and_customer_care' => [
            'designation' => "Sales & Customer Care",
        ],
        'professional_development' => [
            'designation' => "Professional Development",
        ],
        'accounting_and_finance' => [
            'designation' => "Accounting & Finance",
        ],
        'more_options_business' => [
            'designation' => "More Options",
        ],


        //AI Services
        'ai_artists' => [
            'designation' => "AI Artists",
        ],
        'ai_applications' => [
            'designation' => "AI Applications",
        ],
        'other_services' => [
            'designation' => "Other Services",
        ],


        //Cinema
        'movies' => [
            'designation' => "Movies",
        ],
        'series' => [
            'designation' => "Series",
        ],


        //Music
        'video' => [
            'designation' => "Video",
        ],
        'audio' => [
            'designation' => "Audio",
        ],


        // Library
        'hard_copy' => [
            'designation' => "Hard copy",
        ],
        'ebooks' => [
            'designation' => "E-books",
        ],
        'audio_books' => [
            'designation' => "Audio books",
        ],


        // Games
        'standard_edition' => [
            'designation' => "Standard Edition",
        ],
        'deluxe_edition' => [
            'designation' => "Deluxe Edition",
        ],
        'gold_edition' => [
            'designation' => "Gold Edition",
        ],
        'game_of_the_year_edition' => [
            'designation' => "Game of the Year Edition",
        ],
    ],

    'business_grand_child_sub_categories' => [
        //Agricultural Machinery and Equipment
        'forestry_machinery' => [
            'designation' => "Forestry Machinery",
        ],
        'agricultural_machinery_parts' => [
            'designation' => "Agricultural Machinery Parts",
        ],
        'silos' => [
            'designation' => "Silos",
        ],
        'agricultural' => [
            'designation' => "Agricultural",
        ],
        'sprayers' => [
            'designation' => "Sprayers",
        ],
        'towable_backhoes' => [
            'designation' => "Towable Backhoes",
        ],
        'biomass_briquette_machines' => [
            'designation' => "Biomass Briquette Machines",
        ],
        'farm_trailers' => [
            'designation' => "Farm Trailers",
        ],
        'farm_irrigation_systems' => [
            'designation' => "Farm Irrigation Systems",
        ],
        'fertilizer_spreaders' => [
            'designation' => "Fertilizer Spreaders",
        ],

        //Logo & Brand Identity
        'logo_design' => [
            'designation' => "Logo Design",
        ],
        'brand_style_guides' => [
            'designation' => "Brand Style Guides",
        ],
        'business_cards_and_stationery' => [
            'designation' => "Business Cards & Stationery",
        ],
        'fonts_and_typography' => [
            'designation' => "Fonts & Typography",
        ],

        //Web & App Design
        'website_design' => [
            'designation' => "Website Design",
        ],
        'app_design' => [
            'designation' => "App Design",
        ],
        'ux_design' => [
            'designation' => "UX Design",
        ],
        'landing_page_design' => [
            'designation' => "Landing Page Design",
        ],
        'icon_design' => [
            'designation' => "Icon Design",
        ],

        //Visual Design
        'image_editing' => [
            'designation' => "Image Editing",
        ],
        'presentation_design' => [
            'designation' => "Presentation Design",
        ],
        'background_removal' => [
            'designation' => "Background Removal",
        ],
        'infographic_design' => [
            'designation' => "Infographic Design",
        ],
        'vector_tracing' => [
            'designation' => "Vector Tracing",
        ],
        'resume_design' => [
            'designation' => "Resume Design",
        ],

        //Architecture & Building Design
        'architecture_and_interior_design' => [
            'designation' => "Architecture & Interior Design",
        ],
        'landscape_design' => [
            'designation' => "Landscape Design",
        ],
        'building_engineering' => [
            'designation' => "Building Engineering",
        ],

        //Fashion & Merchandise
        't_shirts_and_merchandise' => [
            'designation' => "T-Shirts & Merchandise",
        ],
        'fashion_design' => [
            'designation' => "Fashion Design",
        ],
        'jewelry_design' => [
            'designation' => "Jewelry Design",
        ],

        //Art & Illustration
        'illustration' => [
            'designation' => "Illustration",
        ],
        'ai_artists' => [
            'designation' => "AI Artists",
        ],
        'children_book_illustration' => [
            'designation' => "Children's Book Illustration",
        ],
        'portraits_and_caricatures' => [
            'designation' => "Portraits & Caricatures",
        ],
        'cartoons_and_comics' => [
            'designation' => "Cartoons & Comics",
        ],
        'pattern_design' => [
            'designation' => "Pattern Design",
        ],
        'tattoo_design' => [
            'designation' => "Tattoo Design",
        ],
        'Storyboards' => [
            'designation' => "Storyboards",
        ],
        'nft_rt' => [
            'designation' => "NFT Art",
        ],

        //Product & Gaming
        'industrial_and_product_design' => [
            'designation' => "Industrial & Product Design",
        ],
        'character_modeling' => [
            'designation' => "Character Modeling",
        ],
        'game_art' => [
            'designation' => "Game Art",
        ],
        'graphic_for_streamers' => [
            'designation' => "Graphics for Streamers",
        ],

        //Marketing Design
        'social_media_design' => [
            'designation' => "Social Media Design",
        ],
        'social_posts_and_banners' => [
            'designation' => "Social Posts & Banners",
        ],
        'email_design' => [
            'designation' => "Email Design",
        ],
        'web_banners' => [
            'designation' => "Web Banners",
        ],
        'signage_design' => [
            'designation' => "Signage Design",
        ],

        //3D Design
        '3d_architecture' => [
            'designation' => "3D Architecture",
        ],
        '3d_industrial_design' => [
            'designation' => "3D Industrial Design",
        ],
        '3d_fashion_and_garment' => [
            'designation' => "3D Fashion & Garment",
        ],
        '3d_printing_characters' => [
            'designation' => "3D Printing Characters",
        ],
        '3d_landscape' => [
            'designation' => "3D Landscape",
        ],
        '3d_game_art' => [
            'designation' => "3D Game Art",
        ],
        '3d_jewelry_design' => [
            'designation' => "3D Jewelry Design",
        ],

        //Print Design
        'flyer_design' => [
            'designation' => "Flyer Design",
        ],
        'brochure_design' => [
            'designation' => "Brochure Design",
        ],
        'poster_design' => [
            'designation' => "Poster Design",
        ],
        'catalog_design' => [
            'designation' => "Catalog Design",
        ],
        'menu_design' => [
            'designation' => "Menu Design",
        ],

        //Packaging & Covers
        'packaging_and_label_design' => [
            'designation' => "Packaging & Label Design",
        ],
        'book_design' => [
            'designation' => "Book Design",
        ],
        'book_covers' => [
            'designation' => "Book Covers",
        ],
        'album_cover_design' => [
            'designation' => "Album Cover Design",
        ],

        //Search
        'search_engine_optimization' => [
            'designation' => "Search Engine Optimization (SEO)",
        ],
        'search_engine_marketing' => [
            'designation' => "Search Engine Marketing (SEM)",
        ],
        'local_seo' => [
            'designation' => "Local SEO",
        ],
        'e_commerce_seo' => [
            'designation' => "E-Commerce SEO",
        ],
        'video_seo' => [
            'designation' => "Video SEO",
        ],

        //Social
        'social_media_marketing' => [
            'designation' => "Social Media Marketing",
        ],
        'paid_social_media' => [
            'designation' => "Paid Social Media",
        ],
        'influencer_marketing' => [
            'designation' => "Influencer Marketing",
        ],
        'community_management' => [
            'designation' => "Community Management",
        ],

        //Methods & Techniques
        'video_marketing' => [
            'designation' => "Video Marketing",
        ],
        'e_commerce_marketing' => [
            'designation' => "E-Commerce Marketing",
        ],
        'email_marketing' => [
            'designation' => "Email Marketing",
        ],
        'guest_posting' => [
            'designation' => "Guest Posting",
        ],
        'affiliate_marketing' => [
            'designation' => "Affiliate Marketing",
        ],
        'display_advertising' => [
            'designation' => "Display Advertising",
        ],
        'public_relations' => [
            'designation' => "Public Relations",
        ],
        'text_message_marketing' => [
            'designation' => "Text Message Marketing",
        ],

        //Analytics & Strategy
        'marketing_strategy' => [
            'designation' => "Marketing Strategy",
        ],
        'marketing_advice' => [
            'designation' => "Marketing Advice",
        ],
        'web_analytics' => [
            'designation' => "Web Analytics",
        ],

        //Industry & Purpose-Specific
        'music_promotion' => [
            'designation' => "Music Promotion",
        ],
        'podcast_marketing' => [
            'designation' => "Podcast Marketing",
        ],
        'book_and_eBook_marketing' => [
            'designation' => "Book & eBook Marketing",
        ],
        'mobile_app_marketing' => [
            'designation' => "Mobile App Marketing",
        ],

        //Websites
        'website_development' => [
            'designation' => "Website Development",
        ],
        'website_maintenance' => [
            'designation' => "Website Maintenance",
        ],
        'business_websites' => [
            'designation' => "Business Websites",
        ],
        'e_commerce_development' => [
            'designation' => "E-Commerce Development",
        ],
        'landing_pages' => [
            'designation' => "Landing Pages",
        ],
        'blogs' => [
            'designation' => "Blogs",
        ],

        //Website Platforms
        'wordPress' => [
            'designation' => "WordPress",
        ],
        'shopify' => [
            'designation' => "Shopify",
        ],
        'wix' => [
            'designation' => "Wix",
        ],
        'custom_websites' => [
            'designation' => "Custom Websites",
        ],

        //Application Development
        'software_development' => [
            'designation' => "Software Development",
        ],
        'mobile_apps' => [
            'designation' => "Mobile Apps",
        ],
        'web_applications' => [
            'designation' => "Web Applications",
        ],
        'desktop_applications' => [
            'designation' => "Desktop Applications",
        ],
        'game_development' => [
            'designation' => "Game Development",
        ],
        'ai_applications' => [
            'designation' => "AI Applications",
        ],
        'catboats_development' => [
            'designation' => "Catboats Development",
        ],

        //Support & Cybersecurity
        'devOps_and_cloud' => [
            'designation' => "DevOps & Cloud",
        ],
        'support_and_it' => [
            'designation' => "Support & IT",
        ],
        'cybersecurity' => [
            'designation' => "Cybersecurity",
        ],

        //Data
        'databases' => [
            'designation' => "Databases",
        ],
        'data_processing' => [
            'designation' => "Data Processing",
        ],
        'data_engineering' => [
            'designation' => "Data Engineering",
        ],
        'data_science_and_ai' => [
            'designation' => "Data Science & AI",
        ],

        //More Options
        'electronics_engineering' => [
            'designation' => "Electronics Engineering",
        ],
        'qa_and_review' => [
            'designation' => "QA & Review",
        ],
        'user_testing' => [
            'designation' => "User Testing",
        ],
        'convert_files' => [
            'designation' => "Convert Files",
        ],
        'blockchain_and_cryptocurrency' => [
            'designation' => "Blockchain & Cryptocurrency",
        ],
        'nft_development' => [
            'designation' => "NFT Development",
        ],

        //Products & Lifestyle
        'product_photographers' => [
            'designation' => "Product Photographers",
        ],
        'food_photographers' => [
            'designation' => "Food Photographers",
        ],
        'Lifestyle_and_fashion_photographers' => [
            'designation' => "Lifestyle & FashionPhotographers ",
        ],

        //People & Scenes
        'portrait_photographers' => [
            'designation' => "Portrait Photographers",
        ],
        'event_photographers' => [
            'designation' => "Event Photographers",
        ],
        'real_estate_photographers' => [
            'designation' => "Real Estate Photographers",
        ],
        'aerial_photographers' => [
            'designation' => "Aerial Photographers",
        ],

        //More Options
        'photography_classes' => [
            'designation' => "Photography Classes",
        ],
        'photography_image_editing' => [
            'designation' => "Image Editing",
        ],
        'modeling_and_acting' => [
            'designation' => "Modeling & Acting",
        ],
        'styling_and_beauty' => [
            'designation' => "Styling & Beauty",
        ],

        //Business Formation
        'business_registration' => [
            'designation' => "Business Registration",
        ],
        'business_plans' => [
            'designation' => "Business Plans",
        ],
        'pitch_decks' => [
            'designation' => "Pitch Decks",
        ],
        'startup_consulting' => [
            'designation' => "Startup Consulting",
        ],

        //Legal Services
        'applications_and_registrations' => [
            'designation' => "Applications & Registrations",
        ],
        'legal_documents_and_contracts' => [
            'designation' => "Legal Documents & Contracts",
        ],
        'legal_consulting' => [
            'designation' => "Legal Consulting",
        ],

        //General & Administrative
        'data_entry' => [
            'designation' => "Data Entry",
        ],
        'virtual_assistant' => [
            'designation' => "Virtual Assistant",
        ],
        'e_commerce_management' => [
            'designation' => "E-Commerce Management",
        ],
        'hr_consulting' => [
            'designation' => "HR Consulting",
        ],
        'project_management' => [
            'designation' => "Project Management",
        ],
        'supply_chain_management' => [
            'designation' => "Supply Chain Management",
        ],

        //Business Growth
        'business_consulting' => [
            'designation' => "Business Consulting",
        ],
        'market_research' => [
            'designation' => "Market Research",
        ],
        'data_analytics' => [
            'designation' => "Data Analytics",
        ],
        'data_visualization' => [
            'designation' => "Data Visualization",
        ],

        //Sales & Customer Care
        'sales' => [
            'designation' => "Sales",
        ],
        'lead_generation' => [
            'designation' => "Lead Generation",
        ],
        'call_center_and_calling' => [
            'designation' => "Call Center & Calling",
        ],
        'customer_care' => [
            'designation' => "Customer Care",
        ],
        'crm_management' => [
            'designation' => "CRM Management",
        ],

        //Professional Development
        'interview_prep' => [
            'designation' => "Interview Prep",
        ],
        'leadership_development' => [
            'designation' => "Leadership Development",
        ],
        'life_coaching' => [
            'designation' => "Life Coaching",
        ],

        //Accounting & Finance
        'tax_consulting' => [
            'designation' => "Tax Consulting",
        ],
        'accounting_and_bookkeeping' => [
            'designation' => "Accounting & Bookkeeping",
        ],
        'financial_consulting' => [
            'designation' => "Financial Consulting",
        ],
        'erp_management' => [
            'designation' => "ERP Management",
        ],

        //More Options
        'fact_checking' => [
            'designation' => "Fact Checking",
        ],
        'event_management' => [
            'designation' => "Event Management",
        ],
        'game_concept_design' => [
            'designation' => "Game Concept Design",
        ],

        //AI Artists
        'midjourney_artists' => [
            'designation' => "Midjourney Artists",
        ],
        'dall_e_artists' => [
            'designation' => "DALL-E Artists",
        ],
        'stable_diffusion_artists' => [
            'designation' => "Stable Diffusion Artists",
        ],

        //AI Applications
        'chat_gpt_applications' => [
            'designation' => "ChatGPT Applications",
        ],
        'ai_web_applications' => [
            'designation' => "AI Web Applications",
        ],
        'ai_chatbots' => [
            'designation' => "AI Chatbots",
        ],

        //Other Services
        'ai_models' => [
            'designation' => "AI Models",
        ],
        'ai_music_videos' => [
            'designation' => "AI Music Videos",
        ],
        'ai_content_editing' => [
            'designation' => "AI Content Editing",
        ],
        'ai_fact_checking' => [
            'designation' => "Fact Checking",
        ],
        'Voice_synthesis_and_ai' => [
            'designation' => "Voice Synthesis & AI",
        ],



        //Movies and series
        'action_film' => [
            'designation' => "Action film",
        ],
        'comedy' => [
            'designation' => "Comedy",
        ],
        'cinema_horror' => [
            'designation' => "Horror",
        ],
        'sci_fi_movie' => [
            'designation' => "Sci-Fi movie",
        ],
        'western_film' => [
            'designation' => "Western film ",
        ],
        'cinema_romance' => [
            'designation' => "Romance",
        ],
        'cinema_thriller' => [
            'designation' => "Thriller",
        ],
        'cinema_fantasy' => [
            'designation' => "Fantasy",
        ],
        'historical_movie' => [
            'designation' => "Historical movie",
        ],
        'crime_and_mystery' => [
            'designation' => "Crime and mystery",
        ],
        'cinema_drama' => [
            'designation' => "Drama",
        ],
        'animation' => [
            'designation' => "Animation",
        ],
        'experimental_film' => [
            'designation' => "Experimental film",
        ],
        'other_film_genres' => [
            'designation' => "Other film genres",
        ],



        //Video and Audio Music
        'popular_music' => [
            'designation' => "Popular music",
        ],
        'pop_music' => [
            'designation' => "Pop music",
        ],
        'rock' => [
            'designation' => "Rock",
        ],
        'hip_hop_music' => [
            'designation' => "Hip hop music",
        ],
        'rhythm_and_blues' => [
            'designation' => "Rhythm and blues",
        ],
        'country_music' => [
            'designation' => "Country music",
        ],
        'jazz' => [
            'designation' => "Jazz",
        ],
        'classical_music' => [
            'designation' => "Classical music",
        ],
        'blues' => [
            'designation' => "Blues",
        ],
        'electronic_music' => [
            'designation' => "Electronic music",
        ],
        'dance_music' => [
            'designation' => "Dance music",
        ],
        'heavy_metal' => [
            'designation' => "Heavy metal",
        ],
        'electronic_dance_music' => [
            'designation' => "Electronic dance music",
        ],
        'soul_music' => [
            'designation' => "Soul music",
        ],
        'folk_music' => [
            'designation' => "Folk music",
        ],
        'indie_rock_funk' => [
            'designation' => "Indie rock, Funk",
        ],
        'alternative_rock' => [
            'designation' => "Alternative rock",
        ],
        'reggae' => [
            'designation' => "Reggae",
        ],
        'reggaeton' => [
            'designation' => "Reggaeton",
        ],
        'world_music' => [
            'designation' => "World music",
        ],
        'singing' => [
            'designation' => "Singing",
        ],
        'musical_theatre' => [
            'designation' => "Musical theatre",
        ],
        'music_of_latin_america' => [
            'designation' => "Music of Latin America",
        ],
        'techno' => [
            'designation' => "Techno",
        ],
        'punk_rock' => [
            'designation' => "Punk rock",
        ],
        'new_age_music' => [
            'designation' => "New-age music",
        ],
        'disco' => [
            'designation' => "Disco",
        ],
        'easy_listening' => [
            'designation' => "Easy listening",
        ],
        'pop_rock' => [
            'designation' => "Pop rock",
        ],
        'latin_music' => [
            'designation' => "Latin music",
        ],
        'dubstep' => [
            'designation' => "Dubstep",
        ],
        'house_music' => [
            'designation' => "House music",
        ],
        'progressive_rock' => [
            'designation' => "Progressive rock",
        ],
        'contemporary_r_and_b' => [
            'designation' => "Contemporary R&B",
        ],
        'rock_and_roll' => [
            'designation' => "Rock and roll",
        ],
        'music_of_the_united_states' => [
            'designation' => "Music of the United States",
        ],
        'ska' => [
            'designation' => "Ska",
        ],
        'opera' => [
            'designation' => "Opera",
        ],
        'trance_music' => [
            'designation' => "Trance music",
        ],
        'african_american_music' => [
            'designation' => "African-American music",
        ],
        'electro' => [
            'designation' => "Electro",
        ],
        'instrumental' => [
            'designation' => "Instrumental",
        ],
        'salsa_music' => [
            'designation' => "Salsa music",
        ],
        'soundtrack' => [
            'designation' => "Soundtrack",
        ],
        'k_pop' => [
            'designation' => "K-pop",
        ],
        'vocal_music' => [
            'designation' => "Vocal music",
        ],
        'art_music' => [
            'designation' => "Art music",
        ],
        'childrens_music' => [
            'designation' => "Children's music",
        ],
        'bikutsi' => [
            'designation' => "Bikutsi",
        ],
        'flamenco' => [
            'designation' => "Flamenco",
        ],
        'experimental_music' => [
            'designation' => "Experimental music",
        ],
        'amapiano' => [
            'designation' => "Amapiano",
        ],
        'jùjú ' => [
            'designation' => "Jùjú ",
        ],
        'fuji' => [
            'designation' => "Fuji",
        ],
        'afrobeat' => [
            'designation' => "Afrobeat",
        ],
        'highlife' => [
            'designation' => "Highlife",
        ],
        'makossa' => [
            'designation' => "Makossa",
        ],
        'kizomba' => [
            'designation' => "Kizomba",
        ],
        'cultural_music' => [
            'designation' => "Cultural music",
        ],
        'ndombollo' => [
            'designation' => "Ndombollo",
        ],
        'coupe_decale' => [
            'designation' => "Coupé-Décalé",
        ],
        'other_genre' => [
            'designation' => "Other Genre",
        ],



        //Hard copy & E-books & Audio books
        'action_and_adventure' => [
            'designation' => "Action and adventure",
        ],
        'art_architecture' => [
            'designation' => "Art/architecture",
        ],
        'alternate_history' => [
            'designation' => "Alternate history",
        ],
        'autobiography' => [
            'designation' => "Autobiography",
        ],
        'anthology' => [
            'designation' => "Anthology",
        ],
        'biography' => [
            'designation' => "Biography",
        ],
        'chick_lit' => [
            'designation' => "Chick lit",
        ],
        'business_economics' => [
            'designation' => "Business/economics",
        ],
        'Childrens' => [
            'designation' => "Children's",
        ],
        'crafts_hobbies' => [
            'designation' => "Crafts/hobbies",
        ],
        'classic' => [
            'designation' => "Classic",
        ],
        'cookbook' => [
            'designation' => "Cookbook",
        ],
        'comic_book' => [
            'designation' => "Comic book",
        ],
        'diary' => [
            'designation' => "Diary",
        ],
        'coming_of_age' => [
            'designation' => "Coming-of-age",
        ],
        'dictionary' => [
            'designation' => "Dictionary",
        ],
        'crime' => [
            'designation' => "Crime",
        ],
        'encyclopedia' => [
            'designation' => "Encyclopedia",
        ],
        'drama' => [
            'designation' => "Drama",
        ],
        'guide' => [
            'designation' => "Guide",
        ],
        'fairytale' => [
            'designation' => "Fairytale",
        ],
        'health_fitness' => [
            'designation' => "Health/fitness",
        ],
        'fantasy' => [
            'designation' => "Fantasy",
        ],
        'history' => [
            'designation' => "History",
        ],
        'graphic_novel' => [
            'designation' => "Graphic novel",
        ],
        'home_and_garden' => [
            'designation' => "Home and garden",
        ],
        'historical_fiction' => [
            'designation' => "Historical fiction",
        ],
        'humor' => [
            'designation' => "Humor",
        ],
        'horror' => [
            'designation' => "Horror",
        ],
        'journal' => [
            'designation' => "Journal",
        ],
        'mystery' => [
            'designation' => "Mystery",
        ],
        'math' => [
            'designation' => "Math",
        ],
        'paranormal_romance' => [
            'designation' => "Paranormal romance",
        ],
        'memoir' => [
            'designation' => "Memoir",
        ],
        'picture_book' => [
            'designation' => "Picture book",
        ],
        'philosophy' => [
            'designation' => "Philosophy",
        ],
        'poetry' => [
            'designation' => "Poetry",
        ],
        'prayer' => [
            'designation' => "Prayer",
        ],
        'political_thrillers' => [
            'designation' => "Political thriller",
        ],
        'religion_spirituality_and_new_age' => [
            'designation' => "Religion/ spirituality/ and new age",
        ],
        'romance' => [
            'designation' => "Romance",
        ],
        'textbook' => [
            'designation' => "Textbook",
        ],
        'satire' => [
            'designation' => "Satire",
        ],
        'true_crime' => [
            'designation' => "True crime",
        ],
        'science_fiction' => [
            'designation' => "Science fiction",
        ],
        'review' => [
            'designation' => "Review",
        ],
        'short_story' => [
            'designation' => "Short story",
        ],
        'science' => [
            'designation' => "Science",
        ],
        'suspense' => [
            'designation' => "Suspense",
        ],
        'self_help' => [
            'designation' => "Self-help",
        ],
        'thriller' => [
            'designation' => "Thriller",
        ],
        'sports_and_leisure' => [
            'designation' => "Sports and leisure",
        ],
        'western' => [
            'designation' => "Western",
        ],
        'travel' => [
            'designation' => "Travel",
        ],
        'young_adult' => [
            'designation' => "Young adult",
        ],


        //PS4/PS5/xBOX/PC
        'action_games' => [
            'designation' => "Action Games",
        ],
        'adventure_games' => [
            'designation' => "Adventure Games",
        ],
        'castle_games' => [
            'designation' => "Castle Games",
        ],
        'casual_games' => [
            'designation' => "Casual Games",
        ],
        'match_3_ames' => [
            'designation' => "Match 3 Games",
        ],
        'medieval_games' => [
            'designation' => "Medieval Games",
        ],
        'mmo_games' => [
            'designation' => "MMO Games",
        ],
        'mmorpg_games' => [
            'designation' => "MMORPG Games",
        ],
        'multiplayer_games' => [
            'designation' => "Multiplayer Games",
        ],
        'puzzle_games' => [
            'designation' => "Puzzle Games",
        ],
        'pvp_games' => [
            'designation' => "PvP Games",
        ],
        'robot_ames' => [
            'designation' => "Robot Games",
        ],
        'rpg_games' => [
            'designation' => "RPG Games",
        ],
        'shooters' => [
            'designation' => "Shooters",
        ],
        'solitaire_games' => [
            'designation' => "Solitaire Games",
        ],
        'strategy_games' => [
            'designation' => "Strategy Games",
        ],
        'survival_games' => [
            'designation' => "Survival Games",
        ],
        'war_games' => [
            'designation' => "War Games",
        ],

    ],

   'currency_designation' => [
      'franc_cfa' => 'Franc CFA',
      'euro' => 'Euro',
      'american_dollars' => 'American Dollars',
      'canadian_dollar' => 'Canadian dollar',
      'swiss_franc' => 'Swiss franc',
      'pound_sterling' => 'Pound sterling',
      'rand' => 'Rand',
      'tunisian_dinar' => 'Tunisian dinar',
   ],

];
